
{- |
This module exports those minimal things you need
to work with HaTeX. Those things are:

* The 'LaTeX' datatype.

* The '<>' operator, to append 'LaTeX' values.

* The "Text.LaTeX.Base.Render" module, to render a 'LaTeX' value into 'Text'.

* The "Text.LaTeX.Base.Types" module, which contains several types used by
  other modules.

* The "Text.LaTeX.Base.Writer" module, needed to run the 'LaTeXT' monad, and
  obtain a result of type 'LaTeX'.

* The "Text.LaTeX.Base.Commands.Monad" module, which exports the LaTeX standard commands
  and environments.
-}
module Text.LaTeX.Base.Monad
 ( LaTeX , (<>)
 , module Text.LaTeX.Base.Render
 , module Text.LaTeX.Base.Types
 , module Text.LaTeX.Base.Writer
 , module Text.LaTeX.Base.Commands.Monad
   ) where

import Text.LaTeX.Base.Syntax (LaTeX,(<>))
import Text.LaTeX.Base.Render
import Text.LaTeX.Base.Types
import Text.LaTeX.Base.Writer
import Text.LaTeX.Base.Commands.Monad

